import type { IApplicationNameValidator, IValidationResult } from './ApplicationNameValidator';
export declare class ExampleApplicationNameValidator implements IApplicationNameValidator {
    get WARNING_MESSAGE(): string;
    get WARNING_CONDITION(): string;
    get ERROR_MESSAGE(): string;
    get ERROR_CONDITION(): string;
    get COMMON_WARNING_CONDITION(): string;
    get COMMON_WARNING_MESSAGE(): string;
    get COMMON_ERROR_CONDITION(): string;
    get COMMON_ERROR_MESSAGE(): string;
    get provider(): string;
    validate(name?: string): IValidationResult;
}
export declare class ExampleApplicationNameValidator2 implements IApplicationNameValidator {
    get WARNING_MESSAGE(): string;
    get WARNING_CONDITION(): string;
    get ERROR_MESSAGE(): string;
    get ERROR_CONDITION(): string;
    get COMMON_WARNING_CONDITION(): string;
    get COMMON_WARNING_MESSAGE(): string;
    get COMMON_ERROR_CONDITION(): string;
    get COMMON_ERROR_MESSAGE(): string;
    get provider(): string;
    validate(name?: string): IValidationResult;
}
